<?xml version="1.0"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" exclude-result-prefixes="fo">
    <xsl:template match="/">
        <fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
            <fo:layout-master-set>
                <fo:simple-page-master master-name="default-page" page-height="10in" page-width="8.5in" margin-left="0.6in" margin-right="0.6in">
                    <fo:region-body margin-top="0.4in" margin-bottom="0.4in"/>
                </fo:simple-page-master>
            </fo:layout-master-set>
            <fo:page-sequence master-reference="default-page">
                <fo:flow flow-name="xsl-region-body">
                    <fo:block>
                        <fo:block>
                            <fo:block>
                                <fo:inline font-size="8pt">
                                    <fo:table width="100%" border-style="none" border-width="0pt" background-repeat="repeat">
                                        <fo:table-column/>
                                        <fo:table-body>
                                            <xsl:for-each select="/Brodart/Book">
                                                <xsl:variable name="Book" select="."/>
                                                <fo:table-row>
                                                    <fo:table-cell border-style="none" border-width="1pt" background-repeat="repeat" display-align="center">
                                                        <fo:block keep-together="always">
                                                            <fo:block>
                                                                <xsl:text> </xsl:text>
                                                            </fo:block>
                                                            <fo:block>
                                                                <fo:table width="100%" border-style="none" border-width="0pt" background-repeat="repeat">
                                                                    <fo:table-column/>
                                                                    <fo:table-body>
                                                                        <fo:table-row>
                                                                            <fo:table-cell border-style="solid" border-width="1pt" overflow="hidden" background-repeat="repeat" display-align="center">
                                                                                <fo:block>
                                                                                    <fo:block>Title: 
                                                                                        <xsl:value-of select="Title/Main-Title"/>
                                                                                        <xsl:value-of select="Title/Sub-Title"/>
                                                                                        <xsl:value-of select="Title/Edition"/>
                                                                                    </fo:block>
                                                                                </fo:block>
                                                                            </fo:table-cell>
                                                                        </fo:table-row>
                                                                        <fo:table-row>
                                                                            <fo:table-cell border-style="solid" border-width="1pt" overflow="hidden" background-repeat="repeat" display-align="center">
                                                                                <fo:block>
                                                                                    <fo:block>Series:
                                                                                        <xsl:value-of select="Series"/>
                                                                                    </fo:block>
                                                                                </fo:block>
                                                                            </fo:table-cell>
                                                                        </fo:table-row>
                                                                    </fo:table-body>
                                                                </fo:table>
                                                                <fo:table width="100%" border-style="none" border-width="0pt" background-repeat="repeat">
                                                                    <fo:table-column/>
                                                                    <fo:table-column/>
                                                                    <fo:table-column/>
                                                                    <fo:table-column/>
                                                                    <fo:table-body>
                                                                        <fo:table-row>
                                                                            <fo:table-cell border-style="solid" border-width="1pt" overflow="hidden" background-repeat="repeat" display-align="center">
                                                                                <fo:block>
                                                                                    <fo:block><xsl:value-of select="Author/Label0"/>:
                                                                                        <xsl:value-of select="Author/Primary-Author"/>
                                                                                    </fo:block>
                                                                                </fo:block>
                                                                            </fo:table-cell>
                                                                            <fo:table-cell border-style="solid" border-width="1pt" overflow="hidden" background-repeat="repeat" display-align="center">
                                                                                <fo:block>
                                                                                    <fo:block><xsl:value-of select="Author/Label1"/>:
                                                                                        <xsl:value-of select="Author/Additional-Author"/>
                                                                                    </fo:block>
                                                                                </fo:block>
                                                                            </fo:table-cell>
                                                                            <fo:table-cell border-style="solid" border-width="1pt" overflow="hidden" background-repeat="repeat" display-align="center">
                                                                                <fo:block>
                                                                                    <fo:block>Illustrator:
                                                                                        <xsl:value-of select="Illustrator"/>
                                                                                    </fo:block>
                                                                                </fo:block>
                                                                            </fo:table-cell>
                                                                            <fo:table-cell border-style="solid" border-width="1pt" overflow="hidden" background-repeat="repeat" display-align="center">
                                                                                <fo:block>
                                                                                    <fo:block>Biographee:
                                                                                        <xsl:value-of select="Biographee"/>
                                                                                    </fo:block>
                                                                                </fo:block>
                                                                            </fo:table-cell>
                                                                        </fo:table-row>
                                                                    </fo:table-body>
                                                                </fo:table>
                                                                <fo:table width="100%" border-style="none" border-width="0pt" background-repeat="repeat">
                                                                    <fo:table-column/>
                                                                    <fo:table-column/>
                                                                    <fo:table-column/>
                                                                    <fo:table-column/>
                                                                    <fo:table-body>
                                                                        <fo:table-row>
                                                                            <fo:table-cell border-style="solid" border-width="1pt" overflow="hidden" background-repeat="repeat" display-align="center">
                                                                                <fo:block>
                                                                                    <fo:block>ISBN-13:
                                                                                        <xsl:value-of select="ISBN-13"/>
                                                                                    </fo:block>
                                                                                </fo:block>
                                                                            </fo:table-cell>
                                                                            <fo:table-cell border-style="solid" border-width="1pt" overflow="hidden" background-repeat="repeat" display-align="center">
                                                                                <fo:block>
                                                                                    <fo:block>ISBN-10:
                                                                                        <xsl:value-of select="ISBN-10"/>
                                                                                    </fo:block>
                                                                                </fo:block>
                                                                            </fo:table-cell>
                                                                            <fo:table-cell border-style="solid" border-width="1pt" overflow="hidden" background-repeat="repeat" display-align="center">
                                                                                <fo:block>
                                                                                    <fo:block>Brodart-ID:
                                                                                        <xsl:value-of select="Brodart-Id"/>
                                                                                    </fo:block>
                                                                                </fo:block>
                                                                            </fo:table-cell>
                                                                            <fo:table-cell border-style="solid" border-width="1pt" overflow="hidden" background-repeat="repeat" display-align="center">
                                                                                <fo:block>
                                                                                    <fo:block>Publisher:
                                                                                        <xsl:value-of select="Publisher"/>
                                                                                    </fo:block>
                                                                                </fo:block>
                                                                            </fo:table-cell>
                                                                        </fo:table-row>
                                                                    </fo:table-body>
                                                                </fo:table>
                                                                <fo:table width="100%" border-style="none" border-width="0pt" background-repeat="repeat">
                                                                    <fo:table-column/>
                                                                    <fo:table-column/>
                                                                    <fo:table-column/>
                                                                    <fo:table-body>
                                                                        <fo:table-row>
                                                                            <fo:table-cell border-style="solid" border-width="1pt" overflow="hidden" background-repeat="repeat" display-align="center">
                                                                                <fo:block>
                                                                                    <fo:block>Format:
                                                                                        <xsl:value-of select="Format"/>
                                                                                    </fo:block>
                                                                                </fo:block>
                                                                            </fo:table-cell>
                                                                            <fo:table-cell border-style="solid" border-width="1pt" overflow="hidden" background-repeat="repeat" display-align="center">
                                                                                <fo:block>
                                                                                    <fo:block>Desc:
                                                                                        <xsl:value-of select="Desc"/>
                                                                                    </fo:block>
                                                                                </fo:block>
                                                                            </fo:table-cell>
                                                                            <fo:table-cell border-style="solid" border-width="1pt" overflow="hidden" background-repeat="repeat" display-align="center">
                                                                                <fo:block text-align="left">
                                                                                    <fo:block>Language:
                                                                                        <xsl:value-of select="Language"/>
                                                                                    </fo:block>
                                                                                </fo:block>
                                                                            </fo:table-cell>
                                                                        </fo:table-row>
                                                                    </fo:table-body>
                                                                </fo:table>
                                                                <fo:table width="100%" border-style="none" border-width="0pt" background-repeat="repeat">
                                                                    <fo:table-column/>
                                                                    <fo:table-column/>
                                                                    <fo:table-column/>
                                                                    <fo:table-column/>
                                                                    <fo:table-body>
                                                                        <fo:table-row>
                                                                            <fo:table-cell border-style="solid" border-width="1pt" overflow="hidden" background-repeat="repeat" display-align="center">
                                                                                <fo:block>
                                                                                    <fo:block>Age:
                                                                                        <xsl:value-of select="Age"/>
                                                                                    </fo:block>
                                                                                </fo:block>
                                                                            </fo:table-cell>
                                                                            <fo:table-cell border-style="solid" border-width="1pt" overflow="hidden" background-repeat="repeat" display-align="center">
                                                                                <fo:block>
                                                                                    <fo:block>Grade:
                                                                                        <xsl:value-of select="Grade"/>
                                                                                    </fo:block>
                                                                                </fo:block>
                                                                            </fo:table-cell>
                                                                            <fo:table-cell border-style="solid" border-width="1pt" overflow="hidden" background-repeat="repeat" display-align="center">
                                                                                <fo:block>
                                                                                    <fo:block>Rdg-Prg:
                                                                                        <xsl:value-of select="Rdg-Prg"/>
                                                                                    </fo:block>
                                                                                </fo:block>
                                                                            </fo:table-cell>
                                                                            <fo:table-cell border-style="solid" border-width="1pt" overflow="hidden" background-repeat="repeat" display-align="center">
                                                                                <fo:block>
                                                                                    <fo:block>Pagination:
                                                                                        <xsl:value-of select="Pagination"/>
                                                                                    </fo:block>
                                                                                </fo:block>
                                                                            </fo:table-cell>
                                                                        </fo:table-row>
                                                                    </fo:table-body>
                                                                </fo:table>
                                                                <fo:table width="100%" border-style="none" border-width="0pt" background-repeat="repeat">
                                                                    <fo:table-column/>
                                                                    <fo:table-body>
                                                                        <fo:table-row>
                                                                            <fo:table-cell border-style="solid" border-width="1pt" overflow="hidden" background-repeat="repeat" display-align="center">
                                                                                <fo:block>
                                                                                    <fo:block>Subjects:
                                                                                        <xsl:value-of select="Subjects"/>
                                                                                    </fo:block>
                                                                                </fo:block>
                                                                            </fo:table-cell>
                                                                        </fo:table-row>
                                                                    </fo:table-body>
                                                                </fo:table>
                                                                <fo:table width="100%" border-style="none" border-width="0pt" background-repeat="repeat">
                                                                    <fo:table-column/>
                                                                    <fo:table-column/>
                                                                    <fo:table-body>
                                                                        <fo:table-row>
                                                                            <fo:table-cell border-style="solid" border-width="1pt" overflow="hidden" background-repeat="repeat" display-align="center">
                                                                                <fo:block>
                                                                                    <fo:block>Reviews:
                                                                                        <xsl:value-of select="Reviews/Code"/>
                                                                                        <xsl:value-of select="Reviews/Date"/>
                                                                                        <xsl:value-of select="Reviews/Text"/>
                                                                                    </fo:block>
                                                                                </fo:block>
                                                                            </fo:table-cell>
                                                                            <fo:table-cell border-style="solid" border-width="1pt" overflow="hidden" background-repeat="repeat" display-align="center">
                                                                                <fo:block>
                                                                                    <fo:block>Sources:
                                                                                        <xsl:value-of select="Sources"/>
                                                                                    </fo:block>
                                                                                </fo:block>
                                                                            </fo:table-cell>
                                                                        </fo:table-row>
                                                                    </fo:table-body>
                                                                </fo:table>
                                                                <fo:table width="100%" border-style="none" border-width="0pt" background-repeat="repeat">
                                                                    <fo:table-column/>
                                                                    <fo:table-column/>
                                                                    <fo:table-column/>
                                                                    <fo:table-column/>
                                                                    <fo:table-body>
                                                                        <fo:table-row>
                                                                            <fo:table-cell border-style="solid" border-width="1pt" overflow="hidden" background-repeat="repeat" display-align="center">
                                                                                <fo:block>
                                                                                    <fo:block>Price:$
                                                                                        <xsl:value-of select="Price"/>
                                                                                    </fo:block>
                                                                                </fo:block>
                                                                            </fo:table-cell>
                                                                            <fo:table-cell border-style="solid" border-width="1pt" overflow="hidden" background-repeat="repeat" display-align="center">
                                                                                <fo:block>
                                                                                    <fo:block>Status:
                                                                                        <xsl:value-of select="Status"/>
                                                                                    </fo:block>
                                                                                </fo:block>
                                                                            </fo:table-cell>
                                                                            <fo:table-cell border-style="solid" border-width="1pt" overflow="hidden" background-repeat="repeat" display-align="center">
                                                                                <fo:block>
                                                                                    <fo:block>Print-Run:
                                                                                        <xsl:value-of select="Print-Run"/>
                                                                                    </fo:block>
                                                                                </fo:block>
                                                                            </fo:table-cell>
                                                                            <fo:table-cell border-style="solid" border-width="1pt" overflow="hidden" background-repeat="repeat" display-align="center">
                                                                                <fo:block>
                                                                                    <fo:block>Pub-Date:
                                                                                        <xsl:value-of select="Pub-Date"/>
                                                                                    </fo:block>
                                                                                </fo:block>
                                                                            </fo:table-cell>
                                                                        </fo:table-row>
                                                                    </fo:table-body>
                                                                </fo:table>
                                                                <fo:table width="100%" border-style="none" border-width="0pt" background-repeat="repeat">
                                                                    <fo:table-column/>
                                                                    <fo:table-column/>
                                                                    <fo:table-body>
                                                                        <fo:table-row>
                                                                            <fo:table-cell border-style="solid" border-width="1pt" overflow="hidden" background-repeat="repeat" display-align="center">
                                                                                <fo:block>
                                                                                    <fo:block>
                                                                                        <xsl:text>Ord-Qty:</xsl:text>
                                                                                    </fo:block>
                                                                                </fo:block>
                                                                            </fo:table-cell>
                                                                            <fo:table-cell border-style="solid" border-width="1pt" overflow="hidden" background-repeat="repeat" display-align="center">
                                                                                <fo:block text-align="left">
                                                                                    <fo:block>Class:
                                                                                        <xsl:value-of select="Class"/>
                                                                                    </fo:block>
                                                                                </fo:block>
                                                                            </fo:table-cell>
                                                                        </fo:table-row>
                                                                    </fo:table-body>
                                                                </fo:table>
                                                            </fo:block>
                                                        </fo:block>
                                                    </fo:table-cell>
                                                </fo:table-row>
                                            </xsl:for-each>
                                        </fo:table-body>
                                    </fo:table>
                                </fo:inline>
                            </fo:block>
                        </fo:block>
                    </fo:block>
                </fo:flow>
            </fo:page-sequence>
        </fo:root>
    </xsl:template>
</xsl:stylesheet>